{ stdenv, lib, libsndfile, gnumake, pkg-config, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "sound-gambit";
  version = "0.6";

  src = fetchFromGitHub {
    owner = "x42";
    repo = "sound-gambit";
    rev = "v${version}";
    sha256 = "18yf7sp6r8gqlifs9zq23ddsi5d46i6sadnh6jnvll3mhgm0h8bv";
  };

  buildInputs = [ libsndfile pkg-config ];

  makeFlags = [
    "PREFIX=${placeholder "out"}"
  ];

  meta = with lib; {
    description = "Audio File Peak Limiter";
    homepage = "https://github.com/x42/sound-gambit";
    license = licenses.gpl3;
    maintainers = [ ];
  };
}
